#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   int N = 100;					/* Number of points */
   XYZ xyz[100];				/* Positions */
   COLOUR col;					/* Colour */
   int i;

   srand48((long)time(NULL));			/* Seed random numbers */

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   s2slw(3);	/* Note this does NOT change linewidth - use ns2thpoint */
   for (i=0;i<N;i++) {				/* Random data positions */
      xyz[i].x = drand48()*2.0 - 1.0;
      xyz[i].y = drand48()*2.0 - 1.0;
      xyz[i].z = drand48()*2.0 - 1.0;
      col.r = drand48();
      col.g = drand48();
      col.b = drand48();
   }
   ns2vnpoint(xyz, col, N);			/* Draw the points */

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

